View Issue Details

IDProjectCategoryView StatusLast Update
0002706Ham Radio DeluxeMaintenancepublic2018-05-13 15:26
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.837 
Target VersionFixed in Version6.4.0.840 
Summary0002706: Digital Master: Code exists that polls ham-radio.ch website for updates
DescriptionCode exists that gets a file from the ham-radio.ch website, apparently aimed at seeing if an update is available.

I haven't had time to dig into the code; it certainly is live. Looks like it's set to poll every five seconds (!). It might be disabled at runtime because it appears that it is connected to an option about checking for updates -- maybe that disables it in the wild. Either way, the product shouldn't connect to web sites that we don't control.


Steps To ReproduceFind all "UPDATES_URL", Subfolders, Find Results 1, Entire Solution, ""
  C:\Ham Radio\Digital Master\Digital Master\MainFrm.cpp(131):#define UPDATES_URL _T("http://www.ham-radio.ch/dm780_status.txt")
  C:\Ham Radio\Digital Master\Digital Master\MainFrm.cpp(4745): App().ThreadWeb().RequestCheckForUpdates(this, UPDATES_URL, TRUE);
  C:\Ham Radio\Digital Master\Digital Master\MainFrm.cpp(7853): App().ThreadWeb().RequestCheckForUpdates(this, UPDATES_URL, FALSE);
  Matching lines: 3 Matching files: 1 Total files searched: 3489

  
 
TagsNo tags attached.
ModuleDM780
Sub-ModuleVarious
Testing N/A

Relationships

Activities

K7ZCZ

2018-05-07 23:05

manager   ~0004971

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4108

WA9PIE

2018-05-12 01:16

administrator   ~0005017

Will have to take your word for this one. Can't test it (well... not without sniffing the network connection... but it's okay).

Issue History

Date Modified Username Field Change
2018-05-07 08:44 K7ZCZ New Issue
2018-05-07 23:05 K7ZCZ Assigned To => K7ZCZ
2018-05-07 23:05 K7ZCZ Status new => resolved
2018-05-07 23:05 K7ZCZ Resolution open => fixed
2018-05-07 23:05 K7ZCZ Note Added: 0004971
2018-05-09 23:28 K7ZCZ Fixed in Version => 6.4.0.839
2018-05-12 01:16 WA9PIE Status resolved => closed
2018-05-12 01:16 WA9PIE Steps to Reproduce Updated View Revisions
2018-05-12 01:16 WA9PIE Testing Not Started => N/A
2018-05-12 01:16 WA9PIE Note Added: 0005017
2018-05-13 15:25 WA9PIE Fixed in Version 6.4.0.839 => 6.4.0.840
2018-05-13 15:26 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe